Skip to main content
`Ctrl`+`K`

# PetscBenchReset

removes all the intermediate data structures in a `PetscBench`

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchReset(PetscBench bm)

Collective

## Input Parameter

- bm - the `PetscBench`

## See Also

`PetscBench`, `PetscBenchView()`, `PetscBenchSetFromOptions()`, `PetscBenchCreate()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages